Bug 50893 - Error moving cursor through sign "-" at end of string
Summary: Error moving cursor through sign "-" at end of string
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Text-Cursor
  Show dependency treegraph
 
Reported: 2012-06-08 11:31 UTC by sotnikov123
Modified: 2020-12-28 03:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example of text and cursor places (27.81 KB, image/png)
2012-06-08 11:31 UTC, sotnikov123
Details
document to reproduce bug (9.27 KB, application/vnd.oasis.opendocument.text)
2012-12-17 11:02 UTC, ydutrieux
Details
another test document (14.01 KB, application/vnd.oasis.opendocument.text)
2015-04-27 23:20 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sotnikov123 2012-06-08 11:31:02 UTC
Created attachment 62814 [details]
example of text and cursor places

How to reproduce:
1. Enter any symbols from start to end of string. The last symbol must be a "-" (minus sign). And enter one more string from start to end of string. You may enter the 2 strings of only "-".
2. Set "align right" or "align width".
3. Set cursor on end of lower string. Sometimes you must press "end" key.
4.1. If you press "up" key then cursor moves to end of this string, not at upper string.
4.2 If you press "down" key when cursor is in string upper than string with "-" sign, then cursor jumps on 2 strings down.


LibreOffice 3.4.5 OOO340m1 (Build:502)
3.3.7-1.fc16.x86_64 #1 SMP Tue May 22 13:59:39 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 ydutrieux 2012-12-17 11:02:38 UTC
Created attachment 71644 [details]
document to reproduce bug

Reproduced on Libo 4 Version 4.0.0.0.beta1 (Build ID: 87906242e87d3ddb2ba9827818f2d1416d80cc7)
Ubuntu 12.04 64bits

attached a document to test it.
Place cursor on the end of second line of dash. and then cursor up.

Expected : Cursor will go to previous line on the end.

Bug : Cursor will go to start of the line.
Comment 2 bfoman (inactive) 2013-01-09 12:21:48 UTC
(In reply to comment #1)
> attached a document to test it.
> Place cursor on the end of second line of dash. and then cursor up.
> Expected : Cursor will go to previous line on the end.
> Bug : Cursor will go to start of the line.

Confirmed with:
LO 4.0.0.0.beta2
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

NEW as bug confirmed, reset platform to All.
Comment 3 QA Administrators 2015-04-19 03:21:21 UTC Comment hidden (obsolete)
Comment 4 Gordo 2015-04-27 23:20:29 UTC
Created attachment 115142 [details]
another test document

Still reproducible.

This attachment has instructions inside.  It is not confined to the dash character and there is also the added bonus of the cursor reaching a point where it cannot move up/down anymore unless left/right or the mouse is used.

Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Comment 5 QA Administrators 2016-09-20 09:33:49 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2017-11-14 23:56:05 UTC
Still reproducible.

Version: 6.0.0.0.alpha1+
Build ID: 9050854c35c389466923f0224a36572d36cd471a
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 7 QA Administrators 2018-11-15 03:43:40 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2020-12-28 03:44:17 UTC
Dear sotnikov123,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug